com.independentsoft.exchange

## Class Contact

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.Contact

-     public class Contact
      extends Item

  Represents the contact item in the Exchange store.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contact()` Initializes a new instance of the Contact class.
    `Contact(MimeContent mimeContent)` Initializes a new instance of the Contact class.
    `Contact(java.lang.String subject)` Initializes a new instance of the Contact class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlias()` Gets the contact's alias.
    `java.lang.String` | `getAssistantName()` Gets an assistant to the contact.
    `java.lang.String` | `getAssistantPhone()` Gets the telephone number as the assistant's telephone number.
    `java.util.Date` | `getBirthday()` Gets the birth date of the contact.
    `java.lang.String` | `getBusinessAddress()` Gets the business address that is associated the contact.
    `java.lang.String` | `getBusinessAddressCity()` Gets the business city name that is associated with the contact.
    `java.lang.String` | `getBusinessAddressCountry()` Gets the business country for a given physical address.
    `java.lang.String` | `getBusinessAddressPostalCode()` Gets the business postal code for the contact item.
    `java.lang.String` | `getBusinessAddressState()` Gets the business state of residence for the contact item.
    `java.lang.String` | `getBusinessAddressStreet()` Gets a business street address for the contact.
    `java.lang.String` | `getBusinessFax()` Gets the telephone number as a business fax number.
    `java.lang.String` | `getBusinessHomePage()` Gets the Home page (Web address) for the contact.
    `java.lang.String` | `getBusinessPhone()` Gets the telephone number as a business telephone number.
    `java.lang.String` | `getBusinessPhone2()` Gets the telephone number as a second business telephone number.
    `java.lang.String` | `getCallbackPhone()` Gets the telephone number as a callback number.
    `java.lang.String` | `getCarPhone()` Gets the telephone number as a car telephone number.
    `java.util.List<java.lang.String>` | `getChildren()` Gets names of the contact's children.
    `java.util.List<java.lang.String>` | `getCompanies()` Gets the collection of companies that are associated with the contact.
    `java.lang.String` | `getCompanyName()` Gets the company name that is associated with the contact.
    `java.lang.String` | `getCompanyPhone()` Gets the telephone number as the company's telephone number.
    `CompleteName` | `getCompleteName()` Gets the complete name of the contact.
    `java.lang.String` | `getDepartment()` Gets the contact's department at work.
    `java.lang.String` | `getDirectoryId()` Gets the contact's directory identifier.
    `java.util.List<Mailbox>` | `getDirectReports()` Gets the contact's direct reports.
    `java.lang.String` | `getEmail1Address()` Gets the first email address of the contact.
    `java.lang.String` | `getEmail1DisplayAs()` Gets the display string of the first email address of the contact.
    `java.lang.String` | `getEmail1DisplayName()` Gets the display name of the first email address of the contact.
    `java.lang.String` | `getEmail1Type()` Gets the type of the first email address of the contact.
    `java.lang.String` | `getEmail2Address()` Gets the second email address of the contact.
    `java.lang.String` | `getEmail2DisplayAs()` Gets the display string of the second email address of the contact.
    `java.lang.String` | `getEmail2DisplayName()` Gets the display name of the second email address of the contact.
    `java.lang.String` | `getEmail2Type()` Gets the type of the second email address of the contact.
    `java.lang.String` | `getEmail3Address()` Gets the third email address of the contact.
    `java.lang.String` | `getEmail3DisplayAs()` Gets the display string of the third email address of the contact.
    `java.lang.String` | `getEmail3DisplayName()` Gets the display name of the third email address of the contact.
    `java.lang.String` | `getEmail3Type()` Gets the type of the third email address of the contact.
    `java.lang.String` | `getFileAs()` Gets how the contact is filed in the Contacts folder.
    `FileAsMapping` | `getFileAsMapping()` Gets how to construct what is displayed for the contact.
    `Gender` | `getGender()` Gets the gender of the contact.
    `java.lang.String` | `getGeneration()` Gets a generational abbreviation that follows the full name of the contact.
    `java.lang.String` | `getGivenName()` Gets the contact's given name.
    `java.lang.String` | `getHomeAddress()` Gets the home address that is associated the contact.
    `java.lang.String` | `getHomeAddressCity()` Gets the home city name that is associated with the contact.
    `java.lang.String` | `getHomeAddressCountry()` Gets the home country for a given address contact.
    `java.lang.String` | `getHomeAddressPostalCode()` Gets the home postal code for the contact.
    `java.lang.String` | `getHomeAddressState()` Gets the home state of residence for the contact.
    `java.lang.String` | `getHomeAddressStreet()` Gets a home street address for the contact.
    `java.lang.String` | `getHomeFax()` Gets the telephone number as a home fax number.
    `java.lang.String` | `getHomePhone()` Gets the telephone number as a home telephone number.
    `java.lang.String` | `getHomePhone2()` Gets the telephone number as a second home telephone number.
    `java.lang.String` | `getInitials()` Gets the initials of the contact.
    `java.lang.String` | `getInstantMessengerAddress1()` Gets the first IM addresses for the contact.
    `java.lang.String` | `getInstantMessengerAddress2()` Gets the second IM addresses for the contact.
    `java.lang.String` | `getInstantMessengerAddress3()` Gets the third IM addresses for the contact.
    `java.lang.String` | `getIsdn()` Gets the telephone number as an Integrated Services Digital Network (ISDN) line.
    `java.lang.String` | `getJobTitle()` Gets the job title of the contact.
    `java.lang.String` | `getManager()` Gets the contact's manager.
    `Mailbox` | `getManagerMailbox()` Gets the email address of contact's direct manager.
    `java.lang.String` | `getMiddleName()` Gets the middle name of the contact.
    `java.lang.String` | `getMileage()` Gets mileage for the contact item.
    `java.lang.String` | `getMobilePhone()` Gets the telephone number as a mobile phone number.
    `byte[]` | `getMSExchangeCertificate()` Gets a binary array encoding the contact’s Microsoft Exchange certificate.
    `java.lang.String` | `getNickname()` Gets the nickname of the contact.
    `java.lang.String` | `getNotes()` Gets the notes property of the contact.
    `java.lang.String` | `getOfficeLocation()` Gets the office location of the contact.
    `java.lang.String` | `getOtherAddress()` Gets the other adress that is associated the contact.
    `java.lang.String` | `getOtherAddressCity()` Gets the other city name that is associated with the contact.
    `java.lang.String` | `getOtherAddressCountry()` Gets the other country for a given physical address.
    `java.lang.String` | `getOtherAddressPostalCode()` Gets the other postal code for the contact item.
    `java.lang.String` | `getOtherAddressState()` Gets the other state of residence for the contact item.
    `java.lang.String` | `getOtherAddressStreet()` Gets a other street address for the contact item.
    `java.lang.String` | `getOtherFax()` Gets the telephone number as another fax number.
    `java.lang.String` | `getOtherPhone()` Gets the telephone number as another telephone number.
    `java.lang.String` | `getPager()` Gets the telephone number as a pager.
    `java.lang.String` | `getPhoneticFirstName()` Gets the contact’s first name using the phonetic alphabet.
    `java.lang.String` | `getPhoneticFullName()` Gets the contact’s full name, including first and last, using the phonetic alphabet.
    `java.lang.String` | `getPhoneticLastName()` Gets the contact’s last name using the phonetic alphabet.
    `byte[]` | `getPhoto()` Gets the contact's photo.
    `java.lang.String` | `getPrimaryPhone()` Gets the telephone number as the primary telephone number.
    `java.lang.String` | `getProfession()` Gets the profession of the contact.
    `java.lang.String` | `getRadioPhone()` Gets the telephone number as a radio telephone.
    `SelectedMailingAddress` | `getSelectedMailingAddress()` Gets the display types for physical addresses.
    `java.lang.String` | `getSpouseName()` Gets the name of the contact's spouse.
    `java.lang.String` | `getSurname()` Gets the surname of the contact.
    `java.lang.String` | `getTelex()` Gets the telephone number as a telex telephone number.
    `java.lang.String` | `getTitle()` Gets the title of the contact.
    `java.lang.String` | `getTtyTddPhone()` Gets the telephone number as a telex telephone number.
    `byte[]` | `getUserSMIMECertificate()` Gets a binary array encoding the contact’s SMIME certificate.
    `java.util.Date` | `getWeddingAnniversary()` Gets the wedding anniversary of the contact.
    `boolean` | `hasPicture()` Gets whether the contact item has a file attachment that represents the contact's picture.
    `void` | `setAssistantName(java.lang.String assistantName)` Sets an assistant to the contact.
    `void` | `setAssistantPhone(java.lang.String assistantPhone)` Sets the telephone number as the assistant's telephone number.
    `void` | `setBirthday(java.util.Date birthday)` Sets the birth date of the contact.
    `void` | `setBusinessAddress(java.lang.String businessAddress)` Sets the business adress that is associated the contact.
    `void` | `setBusinessAddressCity(java.lang.String businessAddressCity)` Sets the business city name that is associated with the contact.
    `void` | `setBusinessAddressCountry(java.lang.String businessAddressCountry)` Sets the business country for a given physical address.
    `void` | `setBusinessAddressPostalCode(java.lang.String businessAddressPostalCode)` Sets the business postal code for the contact item.
    `void` | `setBusinessAddressState(java.lang.String businessAddressState)` Sets the business state of residence for the contact item.
    `void` | `setBusinessAddressStreet(java.lang.String businessAddressStreet)` Sets a business street address for the contact.
    `void` | `setBusinessFax(java.lang.String businessFax)` Sets the telephone number as a business fax number.
    `void` | `setBusinessHomePage(java.lang.String businessHomePage)` Sets the Home page (Web address) for the contact.
    `void` | `setBusinessPhone(java.lang.String businessPhone)` Sets the telephone number as a business telephone number.
    `void` | `setBusinessPhone2(java.lang.String businessPhone2)` Sets the telephone number as a second business telephone number.
    `void` | `setCallbackPhone(java.lang.String callbackPhone)` Sets the telephone number as a callback number.
    `void` | `setCarPhone(java.lang.String carPhone)` Sets the telephone number as a car telephone number.
    `void` | `setCompanyName(java.lang.String companyName)` Sets the company name that is associated with the contact.
    `void` | `setCompanyPhone(java.lang.String companyPhone)` Sets the telephone number as the company's telephone number.
    `void` | `setCompleteName(CompleteName completeName)` Sets the complete name of the contact.
    `void` | `setDepartment(java.lang.String department)` Sets the contact's department at work.
    `void` | `setEmail1Address(java.lang.String email1Address)` Sets the first email address of the contact.
    `void` | `setEmail1DisplayAs(java.lang.String email1DisplayAs)` Sets the display string of the first email address of the contact.
    `void` | `setEmail1DisplayName(java.lang.String email1DisplayName)` Sets the display name of the first email address of the contact.
    `void` | `setEmail1Type(java.lang.String email1Type)` Sets the type of the first email address of the contact.
    `void` | `setEmail2Address(java.lang.String email2Address)` Sets the second email address of the contact.
    `void` | `setEmail2DisplayAs(java.lang.String email2DisplayAs)` Sets the display string of the second email address of the contact.
    `void` | `setEmail2DisplayName(java.lang.String email2DisplayName)` Sets the display name of the second email address of the contact.
    `void` | `setEmail2Type(java.lang.String email2Type)` Sets the type of the second email address of the contact.
    `void` | `setEmail3Address(java.lang.String email3Address)` Sets the third email address of the contact.
    `void` | `setEmail3DisplayAs(java.lang.String email3DisplayAs)` Sets the display string of the third email address of the contact.
    `void` | `setEmail3DisplayName(java.lang.String email3DisplayName)` Sets the display name of the third email address of the contact.
    `void` | `setEmail3Type(java.lang.String email3Type)` Sets the type of the third email address of the contact.
    `void` | `setFileAs(java.lang.String fileAs)` Sets how the contact is filed in the Contacts folder.
    `void` | `setFileAsMapping(FileAsMapping fileAsMapping)` Sets how to construct what is displayed for the contact.
    `void` | `setGender(Gender gender)` Sets the gender of the contact.
    `void` | `setGeneration(java.lang.String generation)` Sets a generational abbreviation that follows the full name of the contact.
    `void` | `setGivenName(java.lang.String givenName)` Sets the contact's given name.
    `void` | `setHasPicture(boolean hasPicture)` Sets whether the contact item has a file attachment that represents the contact's picture.
    `void` | `setHomeAddress(java.lang.String homeAddress)` Sets the home address that is associated the contact.
    `void` | `setHomeAddressCity(java.lang.String homeAddressCity)` Sets the home city name that is associated with the contact.
    `void` | `setHomeAddressCountry(java.lang.String homeAddressCountry)` Gets the home country for a given address contact.
    `void` | `setHomeAddressPostalCode(java.lang.String homeAddressPostalCode)` Sets the home postal code for the contact.
    `void` | `setHomeAddressState(java.lang.String homeAddressState)` Gets the home state of residence for the contact.
    `void` | `setHomeAddressStreet(java.lang.String homeAddressStreet)` Sets a home street address for the contact.
    `void` | `setHomeFax(java.lang.String homeFax)` Sets the telephone number as a home fax number.
    `void` | `setHomePhone(java.lang.String homePhone)` Sets the telephone number as a home telephone number.
    `void` | `setHomePhone2(java.lang.String homePhone2)` Sets the telephone number as a second home telephone number.
    `void` | `setInitials(java.lang.String initials)` Sets the initials of the contact.
    `void` | `setInstantMessengerAddress1(java.lang.String instantMessengerAddress1)` Sets the first IM addresses for the contact.
    `void` | `setInstantMessengerAddress2(java.lang.String instantMessengerAddress2)` Sets the second IM addresses for the contact.
    `void` | `setInstantMessengerAddress3(java.lang.String instantMessengerAddress3)` Sets the third IM addresses for the contact.
    `void` | `setIsdn(java.lang.String isdn)` Sets the telephone number as an Integrated Services Digital Network (ISDN) line.
    `void` | `setJobTitle(java.lang.String jobTitle)` Sets the job title of the contact.
    `void` | `setManager(java.lang.String manager)` Sets the contact's manager.
    `void` | `setMiddleName(java.lang.String middleName)` Sets the middle name of the contact.
    `void` | `setMileage(java.lang.String mileage)` Sets mileage for the contact item.
    `void` | `setMobilePhone(java.lang.String mobilePhone)` Sets the telephone number as a mobile phone number.
    `void` | `setNickname(java.lang.String nickname)` Sets the nickname of the contact.
    `void` | `setOfficeLocation(java.lang.String officeLocation)` Sets the office location of the contact.
    `void` | `setOtherAddress(java.lang.String otherAddress)` Sets the other adress that is associated the contact.
    `void` | `setOtherAddressCity(java.lang.String otherAddressCity)` Sets the other city name that is associated with the contact.
    `void` | `setOtherAddressCountry(java.lang.String otherAddressCountry)` Sets the other country for a given physical address.
    `void` | `setOtherAddressPostalCode(java.lang.String otherAddressPostalCode)` Sets the other postal code for the contact item.
    `void` | `setOtherAddressState(java.lang.String otherAddressState)` Sets the other state of residence for the contact item.
    `void` | `setOtherAddressStreet(java.lang.String otherAddressStreet)` Sets a other street address for the contact item.
    `void` | `setOtherFax(java.lang.String otherFax)` Sets the telephone number as another fax number.
    `void` | `setOtherPhone(java.lang.String otherPhone)` Sets the telephone number as another telephone number.
    `void` | `setPager(java.lang.String pager)` Sets the telephone number as a pager.
    `void` | `setPrimaryPhone(java.lang.String primaryPhone)` Sets the telephone number as the primary telephone number.
    `void` | `setProfession(java.lang.String profession)` Sets the profession of the contact.
    `void` | `setRadioPhone(java.lang.String radioPhone)` Sets the telephone number as a radio telephone.
    `void` | `setSelectedMailingAddress(SelectedMailingAddress selectedMailingAddress)` Sets the display types for physical addresses.
    `void` | `setSpouseName(java.lang.String spouseName)` Sets the name of the contact's spouse.
    `void` | `setSurname(java.lang.String surname)` Sets the surname of the contact.
    `void` | `setTelex(java.lang.String telex)` Sets the telephone number as a telex telephone number.
    `void` | `setTitle(java.lang.String title)` Sets the title of the contact.
    `void` | `setTtyTddPhone(java.lang.String ttyTddPhone)` Sets the telephone number as a telex telephone number.
    `void` | `setWeddingAnniversary(java.util.Date weddingAnniversary)` Sets the wedding anniversary of the contact.
    `java.lang.String` | `toString()` Converts the value of the current Contact object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Contact

          public Contact()

      Initializes a new instance of the Contact class.

    - #### Contact

          public Contact(java.lang.String subject)

      Initializes a new instance of the Contact class.
      Parameters:
        `subject` - the subject

    - #### Contact

          public Contact(MimeContent mimeContent)

      Initializes a new instance of the Contact class.
      Parameters:
        `mimeContent` - the mime content

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Contact object to its equivalent string representation.
      Overrides:
        `toString` in class `Item`
      Returns:
        the string

    - #### getFileAs

          public java.lang.String getFileAs()

      Gets how the contact is filed in the Contacts folder.
      Returns:
        the file as

    - #### setFileAs

          public void setFileAs(java.lang.String fileAs)

      Sets how the contact is filed in the Contacts folder.
      Parameters:
        `fileAs` - the new file as

    - #### getFileAsMapping

          public FileAsMapping getFileAsMapping()

      Gets how to construct what is displayed for the contact.
      Returns:
        the file as mapping

    - #### setFileAsMapping

          public void setFileAsMapping(FileAsMapping fileAsMapping)

      Sets how to construct what is displayed for the contact.
      Parameters:
        `fileAsMapping` - the new file as mapping

    - #### getGivenName

          public java.lang.String getGivenName()

      Gets the contact's given name.
      Returns:
        the given name

    - #### setGivenName

          public void setGivenName(java.lang.String givenName)

      Sets the contact's given name.
      Parameters:
        `givenName` - the new given name

    - #### getInitials

          public java.lang.String getInitials()

      Gets the initials of the contact.
      Returns:
        the initials

    - #### setInitials

          public void setInitials(java.lang.String initials)

      Sets the initials of the contact.
      Parameters:
        `initials` - the new initials

    - #### getMiddleName

          public java.lang.String getMiddleName()

      Gets the middle name of the contact.
      Returns:
        the middle name

    - #### setMiddleName

          public void setMiddleName(java.lang.String middleName)

      Sets the middle name of the contact.
      Parameters:
        `middleName` - the new middle name

    - #### getNickname

          public java.lang.String getNickname()

      Gets the nickname of the contact.
      Returns:
        the nickname

    - #### setNickname

          public void setNickname(java.lang.String nickname)

      Sets the nickname of the contact.
      Parameters:
        `nickname` - the new nickname

    - #### getCompleteName

          public CompleteName getCompleteName()

      Gets the complete name of the contact.
      Returns:
        the complete name

    - #### setCompleteName

          public void setCompleteName(CompleteName completeName)

      Sets the complete name of the contact.
      Parameters:
        `completeName` - the new complete name

    - #### getCompanyName

          public java.lang.String getCompanyName()

      Gets the company name that is associated with the contact.
      Returns:
        the company name

    - #### setCompanyName

          public void setCompanyName(java.lang.String companyName)

      Sets the company name that is associated with the contact.
      Parameters:
        `companyName` - the new company name

    - #### getHomeAddress

          public java.lang.String getHomeAddress()

      Gets the home address that is associated the contact.
      Returns:
        the home address

    - #### setHomeAddress

          public void setHomeAddress(java.lang.String homeAddress)

      Sets the home address that is associated the contact.
      Parameters:
        `homeAddress` - the new home address

    - #### getBusinessAddress

          public java.lang.String getBusinessAddress()

      Gets the business address that is associated the contact.
      Returns:
        the business address

    - #### setBusinessAddress

          public void setBusinessAddress(java.lang.String businessAddress)

      Sets the business adress that is associated the contact.
      Parameters:
        `businessAddress` - the new business address

    - #### getOtherAddress

          public java.lang.String getOtherAddress()

      Gets the other adress that is associated the contact.
      Returns:
        the other address

    - #### setOtherAddress

          public void setOtherAddress(java.lang.String otherAddress)

      Sets the other adress that is associated the contact.
      Parameters:
        `otherAddress` - the new other address

    - #### getHomeAddressStreet

          public java.lang.String getHomeAddressStreet()

      Gets a home street address for the contact.
      Returns:
        the home address street

    - #### setHomeAddressStreet

          public void setHomeAddressStreet(java.lang.String homeAddressStreet)

      Sets a home street address for the contact.
      Parameters:
        `homeAddressStreet` - the new home address street

    - #### getHomeAddressCity

          public java.lang.String getHomeAddressCity()

      Gets the home city name that is associated with the contact.
      Returns:
        the home address city

    - #### setHomeAddressCity

          public void setHomeAddressCity(java.lang.String homeAddressCity)

      Sets the home city name that is associated with the contact.
      Parameters:
        `homeAddressCity` - the new home address city

    - #### getHomeAddressState

          public java.lang.String getHomeAddressState()

      Gets the home state of residence for the contact.
      Returns:
        the home address state

    - #### setHomeAddressState

          public void setHomeAddressState(java.lang.String homeAddressState)

      Gets the home state of residence for the contact.
      Parameters:
        `homeAddressState` - the new home address state

    - #### getHomeAddressCountry

          public java.lang.String getHomeAddressCountry()

      Gets the home country for a given address contact.
      Returns:
        the home address country

    - #### setHomeAddressCountry

          public void setHomeAddressCountry(java.lang.String homeAddressCountry)

      Gets the home country for a given address contact.
      Parameters:
        `homeAddressCountry` - the new home address country

    - #### getHomeAddressPostalCode

          public java.lang.String getHomeAddressPostalCode()

      Gets the home postal code for the contact.
      Returns:
        the home address postal code

    - #### setHomeAddressPostalCode

          public void setHomeAddressPostalCode(java.lang.String homeAddressPostalCode)

      Sets the home postal code for the contact.
      Parameters:
        `homeAddressPostalCode` - the new home address postal code

    - #### getBusinessAddressStreet

          public java.lang.String getBusinessAddressStreet()

      Gets a business street address for the contact.
      Returns:
        the business address street

    - #### setBusinessAddressStreet

          public void setBusinessAddressStreet(java.lang.String businessAddressStreet)

      Sets a business street address for the contact.
      Parameters:
        `businessAddressStreet` - the new business address street

    - #### getBusinessAddressCity

          public java.lang.String getBusinessAddressCity()

      Gets the business city name that is associated with the contact.
      Returns:
        the business address city

    - #### setBusinessAddressCity

          public void setBusinessAddressCity(java.lang.String businessAddressCity)

      Sets the business city name that is associated with the contact.
      Parameters:
        `businessAddressCity` - the new business address city

    - #### getBusinessAddressState

          public java.lang.String getBusinessAddressState()

      Gets the business state of residence for the contact item.
      Returns:
        the business address state

    - #### setBusinessAddressState

          public void setBusinessAddressState(java.lang.String businessAddressState)

      Sets the business state of residence for the contact item.
      Parameters:
        `businessAddressState` - the new business address state

    - #### getBusinessAddressCountry

          public java.lang.String getBusinessAddressCountry()

      Gets the business country for a given physical address.
      Returns:
        the business address country

    - #### setBusinessAddressCountry

          public void setBusinessAddressCountry(java.lang.String businessAddressCountry)

      Sets the business country for a given physical address.
      Parameters:
        `businessAddressCountry` - the new business address country

    - #### getBusinessAddressPostalCode

          public java.lang.String getBusinessAddressPostalCode()

      Gets the business postal code for the contact item.
      Returns:
        the business address postal code

    - #### setBusinessAddressPostalCode

          public void setBusinessAddressPostalCode(java.lang.String businessAddressPostalCode)

      Sets the business postal code for the contact item.
      Parameters:
        `businessAddressPostalCode` - the new business address postal code

    - #### getOtherAddressStreet

          public java.lang.String getOtherAddressStreet()

      Gets a other street address for the contact item.
      Returns:
        the other address street

    - #### setOtherAddressStreet

          public void setOtherAddressStreet(java.lang.String otherAddressStreet)

      Sets a other street address for the contact item.
      Parameters:
        `otherAddressStreet` - the new other address street

    - #### getOtherAddressCity

          public java.lang.String getOtherAddressCity()

      Gets the other city name that is associated with the contact.
      Returns:
        the other address city

    - #### setOtherAddressCity

          public void setOtherAddressCity(java.lang.String otherAddressCity)

      Sets the other city name that is associated with the contact.
      Parameters:
        `otherAddressCity` - the new other address city

    - #### getOtherAddressState

          public java.lang.String getOtherAddressState()

      Gets the other state of residence for the contact item.
      Returns:
        the other address state

    - #### setOtherAddressState

          public void setOtherAddressState(java.lang.String otherAddressState)

      Sets the other state of residence for the contact item.
      Parameters:
        `otherAddressState` - the new other address state

    - #### getOtherAddressCountry

          public java.lang.String getOtherAddressCountry()

      Gets the other country for a given physical address.
      Returns:
        the other address country

    - #### setOtherAddressCountry

          public void setOtherAddressCountry(java.lang.String otherAddressCountry)

      Sets the other country for a given physical address.
      Parameters:
        `otherAddressCountry` - the new other address country

    - #### getOtherAddressPostalCode

          public java.lang.String getOtherAddressPostalCode()

      Gets the other postal code for the contact item.
      Returns:
        the other address postal code

    - #### setOtherAddressPostalCode

          public void setOtherAddressPostalCode(java.lang.String otherAddressPostalCode)

      Sets the other postal code for the contact item.
      Parameters:
        `otherAddressPostalCode` - the new other address postal code

    - #### getAssistantPhone

          public java.lang.String getAssistantPhone()

      Gets the telephone number as the assistant's telephone number.
      Returns:
        the assistant phone

    - #### setAssistantPhone

          public void setAssistantPhone(java.lang.String assistantPhone)

      Sets the telephone number as the assistant's telephone number.
      Parameters:
        `assistantPhone` - the new assistant phone

    - #### getBusinessFax

          public java.lang.String getBusinessFax()

      Gets the telephone number as a business fax number.
      Returns:
        the business fax

    - #### setBusinessFax

          public void setBusinessFax(java.lang.String businessFax)

      Sets the telephone number as a business fax number.
      Parameters:
        `businessFax` - the new business fax

    - #### getBusinessPhone

          public java.lang.String getBusinessPhone()

      Gets the telephone number as a business telephone number.
      Returns:
        the business phone

    - #### setBusinessPhone

          public void setBusinessPhone(java.lang.String businessPhone)

      Sets the telephone number as a business telephone number.
      Parameters:
        `businessPhone` - the new business phone

    - #### getBusinessPhone2

          public java.lang.String getBusinessPhone2()

      Gets the telephone number as a second business telephone number.
      Returns:
        the business phone2

    - #### setBusinessPhone2

          public void setBusinessPhone2(java.lang.String businessPhone2)

      Sets the telephone number as a second business telephone number.
      Parameters:
        `businessPhone2` - the new business phone2

    - #### getCallbackPhone

          public java.lang.String getCallbackPhone()

      Gets the telephone number as a callback number.
      Returns:
        the callback phone

    - #### setCallbackPhone

          public void setCallbackPhone(java.lang.String callbackPhone)

      Sets the telephone number as a callback number.
      Parameters:
        `callbackPhone` - the new callback phone

    - #### getCarPhone

          public java.lang.String getCarPhone()

      Gets the telephone number as a car telephone number.
      Returns:
        the car phone

    - #### setCarPhone

          public void setCarPhone(java.lang.String carPhone)

      Sets the telephone number as a car telephone number.
      Parameters:
        `carPhone` - the new car phone

    - #### getCompanyPhone

          public java.lang.String getCompanyPhone()

      Gets the telephone number as the company's telephone number.
      Returns:
        the company phone

    - #### setCompanyPhone

          public void setCompanyPhone(java.lang.String companyPhone)

      Sets the telephone number as the company's telephone number.
      Parameters:
        `companyPhone` - the new company phone

    - #### getHomeFax

          public java.lang.String getHomeFax()

      Gets the telephone number as a home fax number.
      Returns:
        the home fax

    - #### setHomeFax

          public void setHomeFax(java.lang.String homeFax)

      Sets the telephone number as a home fax number.
      Parameters:
        `homeFax` - the new home fax

    - #### getHomePhone

          public java.lang.String getHomePhone()

      Gets the telephone number as a home telephone number.
      Returns:
        the home phone

    - #### setHomePhone

          public void setHomePhone(java.lang.String homePhone)

      Sets the telephone number as a home telephone number.
      Parameters:
        `homePhone` - the new home phone

    - #### getHomePhone2

          public java.lang.String getHomePhone2()

      Gets the telephone number as a second home telephone number.
      Returns:
        the home phone2

    - #### setHomePhone2

          public void setHomePhone2(java.lang.String homePhone2)

      Sets the telephone number as a second home telephone number.
      Parameters:
        `homePhone2` - the new home phone2

    - #### getIsdn

          public java.lang.String getIsdn()

      Gets the telephone number as an Integrated Services Digital Network (ISDN) line.
      Returns:
        the isdn

    - #### setIsdn

          public void setIsdn(java.lang.String isdn)

      Sets the telephone number as an Integrated Services Digital Network (ISDN) line.
      Parameters:
        `isdn` - the new isdn

    - #### getMobilePhone

          public java.lang.String getMobilePhone()

      Gets the telephone number as a mobile phone number.
      Returns:
        the mobile phone

    - #### setMobilePhone

          public void setMobilePhone(java.lang.String mobilePhone)

      Sets the telephone number as a mobile phone number.
      Parameters:
        `mobilePhone` - the new mobile phone

    - #### getOtherFax

          public java.lang.String getOtherFax()

      Gets the telephone number as another fax number.
      Returns:
        the other fax

    - #### setOtherFax

          public void setOtherFax(java.lang.String otherFax)

      Sets the telephone number as another fax number.
      Parameters:
        `otherFax` - the new other fax

    - #### getOtherPhone

          public java.lang.String getOtherPhone()

      Gets the telephone number as another telephone number.
      Returns:
        the other phone

    - #### setOtherPhone

          public void setOtherPhone(java.lang.String otherPhone)

      Sets the telephone number as another telephone number.
      Parameters:
        `otherPhone` - the new other phone

    - #### getPager

          public java.lang.String getPager()

      Gets the telephone number as a pager.
      Returns:
        the pager

    - #### setPager

          public void setPager(java.lang.String pager)

      Sets the telephone number as a pager.
      Parameters:
        `pager` - the new pager

    - #### getPrimaryPhone

          public java.lang.String getPrimaryPhone()

      Gets the telephone number as the primary telephone number.
      Returns:
        the primary phone

    - #### setPrimaryPhone

          public void setPrimaryPhone(java.lang.String primaryPhone)

      Sets the telephone number as the primary telephone number.
      Parameters:
        `primaryPhone` - the new primary phone

    - #### getRadioPhone

          public java.lang.String getRadioPhone()

      Gets the telephone number as a radio telephone.
      Returns:
        the radio phone

    - #### setRadioPhone

          public void setRadioPhone(java.lang.String radioPhone)

      Sets the telephone number as a radio telephone.
      Parameters:
        `radioPhone` - the new radio phone

    - #### getTelex

          public java.lang.String getTelex()

      Gets the telephone number as a telex telephone number.
      Returns:
        the telex

    - #### setTelex

          public void setTelex(java.lang.String telex)

      Sets the telephone number as a telex telephone number.
      Parameters:
        `telex` - the new telex

    - #### getTtyTddPhone

          public java.lang.String getTtyTddPhone()

      Gets the telephone number as a telex telephone number.
      Returns:
        the tty tdd phone

    - #### setTtyTddPhone

          public void setTtyTddPhone(java.lang.String ttyTddPhone)

      Sets the telephone number as a telex telephone number.
      Parameters:
        `ttyTddPhone` - the new tty tdd phone

    - #### getAssistantName

          public java.lang.String getAssistantName()

      Gets an assistant to the contact.
      Returns:
        the assistant name

    - #### setAssistantName

          public void setAssistantName(java.lang.String assistantName)

      Sets an assistant to the contact.
      Parameters:
        `assistantName` - the new assistant name

    - #### getBirthday

          public java.util.Date getBirthday()

      Gets the birth date of the contact.
      Returns:
        the birthday

    - #### setBirthday

          public void setBirthday(java.util.Date birthday)

      Sets the birth date of the contact.
      Parameters:
        `birthday` - the new birthday

    - #### getBusinessHomePage

          public java.lang.String getBusinessHomePage()

      Gets the Home page (Web address) for the contact.
      Returns:
        the business home page

    - #### setBusinessHomePage

          public void setBusinessHomePage(java.lang.String businessHomePage)

      Sets the Home page (Web address) for the contact.
      Parameters:
        `businessHomePage` - the new business home page

    - #### getChildren

          public java.util.List<java.lang.String> getChildren()

      Gets names of the contact's children.
      Returns:
        the children

    - #### getCompanies

          public java.util.List<java.lang.String> getCompanies()

      Gets the collection of companies that are associated with the contact.
      Returns:
        the companies

    - #### getDepartment

          public java.lang.String getDepartment()

      Gets the contact's department at work.
      Returns:
        the department

    - #### setDepartment

          public void setDepartment(java.lang.String department)

      Sets the contact's department at work.
      Parameters:
        `department` - the new department

    - #### getGeneration

          public java.lang.String getGeneration()

      Gets a generational abbreviation that follows the full name of the contact.
      Returns:
        the generation

    - #### setGeneration

          public void setGeneration(java.lang.String generation)

      Sets a generational abbreviation that follows the full name of the contact.
      Parameters:
        `generation` - the new generation

    - #### getInstantMessengerAddress1

          public java.lang.String getInstantMessengerAddress1()

      Gets the first IM addresses for the contact.
      Returns:
        the instant messenger address1

    - #### setInstantMessengerAddress1

          public void setInstantMessengerAddress1(java.lang.String instantMessengerAddress1)

      Sets the first IM addresses for the contact.
      Parameters:
        `instantMessengerAddress1` - the new instant messenger address1

    - #### getInstantMessengerAddress2

          public java.lang.String getInstantMessengerAddress2()

      Gets the second IM addresses for the contact.
      Returns:
        the instant messenger address2

    - #### setInstantMessengerAddress2

          public void setInstantMessengerAddress2(java.lang.String instantMessengerAddress2)

      Sets the second IM addresses for the contact.
      Parameters:
        `instantMessengerAddress2` - the new instant messenger address2

    - #### getInstantMessengerAddress3

          public java.lang.String getInstantMessengerAddress3()

      Gets the third IM addresses for the contact.
      Returns:
        the instant messenger address3

    - #### setInstantMessengerAddress3

          public void setInstantMessengerAddress3(java.lang.String instantMessengerAddress3)

      Sets the third IM addresses for the contact.
      Parameters:
        `instantMessengerAddress3` - the new instant messenger address3

    - #### getJobTitle

          public java.lang.String getJobTitle()

      Gets the job title of the contact.
      Returns:
        the job title

    - #### setJobTitle

          public void setJobTitle(java.lang.String jobTitle)

      Sets the job title of the contact.
      Parameters:
        `jobTitle` - the new job title

    - #### getManager

          public java.lang.String getManager()

      Gets the contact's manager.
      Returns:
        the manager

    - #### setManager

          public void setManager(java.lang.String manager)

      Sets the contact's manager.
      Parameters:
        `manager` - the new manager

    - #### getMileage

          public java.lang.String getMileage()

      Gets mileage for the contact item.
      Returns:
        the mileage

    - #### setMileage

          public void setMileage(java.lang.String mileage)

      Sets mileage for the contact item.
      Parameters:
        `mileage` - the new mileage

    - #### getOfficeLocation

          public java.lang.String getOfficeLocation()

      Gets the office location of the contact.
      Returns:
        the office location

    - #### setOfficeLocation

          public void setOfficeLocation(java.lang.String officeLocation)

      Sets the office location of the contact.
      Parameters:
        `officeLocation` - the new office location

    - #### getSelectedMailingAddress

          public SelectedMailingAddress getSelectedMailingAddress()

      Gets the display types for physical addresses.
      Returns:
        the selected mailing address

    - #### setSelectedMailingAddress

          public void setSelectedMailingAddress(SelectedMailingAddress selectedMailingAddress)

      Sets the display types for physical addresses.
      Parameters:
        `selectedMailingAddress` - the new selected mailing address

    - #### getProfession

          public java.lang.String getProfession()

      Gets the profession of the contact.
      Returns:
        the profession

    - #### setProfession

          public void setProfession(java.lang.String profession)

      Sets the profession of the contact.
      Parameters:
        `profession` - the new profession

    - #### getSpouseName

          public java.lang.String getSpouseName()

      Gets the name of the contact's spouse.
      Returns:
        the spouse name

    - #### setSpouseName

          public void setSpouseName(java.lang.String spouseName)

      Sets the name of the contact's spouse.
      Parameters:
        `spouseName` - the new spouse name

    - #### getSurname

          public java.lang.String getSurname()

      Gets the surname of the contact.
      Returns:
        the surname

    - #### setSurname

          public void setSurname(java.lang.String surname)

      Sets the surname of the contact.
      Parameters:
        `surname` - the new surname

    - #### getWeddingAnniversary

          public java.util.Date getWeddingAnniversary()

      Gets the wedding anniversary of the contact.
      Returns:
        the wedding anniversary

    - #### setWeddingAnniversary

          public void setWeddingAnniversary(java.util.Date weddingAnniversary)

      Sets the wedding anniversary of the contact.
      Parameters:
        `weddingAnniversary` - the new wedding anniversary

    - #### getEmail1Address

          public java.lang.String getEmail1Address()

      Gets the first email address of the contact.
      Returns:
        the email1 address

    - #### setEmail1Address

          public void setEmail1Address(java.lang.String email1Address)

      Sets the first email address of the contact.
      Parameters:
        `email1Address` - the new email1 address

    - #### getEmail2Address

          public java.lang.String getEmail2Address()

      Gets the second email address of the contact.
      Returns:
        the email2 address

    - #### setEmail2Address

          public void setEmail2Address(java.lang.String email2Address)

      Sets the second email address of the contact.
      Parameters:
        `email2Address` - the new email2 address

    - #### getEmail3Address

          public java.lang.String getEmail3Address()

      Gets the third email address of the contact.
      Returns:
        the email3 address

    - #### setEmail3Address

          public void setEmail3Address(java.lang.String email3Address)

      Sets the third email address of the contact.
      Parameters:
        `email3Address` - the new email3 address

    - #### getEmail1DisplayName

          public java.lang.String getEmail1DisplayName()

      Gets the display name of the first email address of the contact.
      Returns:
        the email1 display name

    - #### setEmail1DisplayName

          public void setEmail1DisplayName(java.lang.String email1DisplayName)

      Sets the display name of the first email address of the contact.
      Parameters:
        `email1DisplayName` - the new email1 display name

    - #### getEmail2DisplayName

          public java.lang.String getEmail2DisplayName()

      Gets the display name of the second email address of the contact.
      Returns:
        the email2 display name

    - #### setEmail2DisplayName

          public void setEmail2DisplayName(java.lang.String email2DisplayName)

      Sets the display name of the second email address of the contact.
      Parameters:
        `email2DisplayName` - the new email2 display name

    - #### getEmail3DisplayName

          public java.lang.String getEmail3DisplayName()

      Gets the display name of the third email address of the contact.
      Returns:
        the email3 display name

    - #### setEmail3DisplayName

          public void setEmail3DisplayName(java.lang.String email3DisplayName)

      Sets the display name of the third email address of the contact.
      Parameters:
        `email3DisplayName` - the new email3 display name

    - #### getEmail1DisplayAs

          public java.lang.String getEmail1DisplayAs()

      Gets the display string of the first email address of the contact.
      Returns:
        the email1 display as

    - #### setEmail1DisplayAs

          public void setEmail1DisplayAs(java.lang.String email1DisplayAs)

      Sets the display string of the first email address of the contact.
      Parameters:
        `email1DisplayAs` - the new email1 display as

    - #### getEmail2DisplayAs

          public java.lang.String getEmail2DisplayAs()

      Gets the display string of the second email address of the contact.
      Returns:
        the email2 display as

    - #### setEmail2DisplayAs

          public void setEmail2DisplayAs(java.lang.String email2DisplayAs)

      Sets the display string of the second email address of the contact.
      Parameters:
        `email2DisplayAs` - the new email2 display as

    - #### getEmail3DisplayAs

          public java.lang.String getEmail3DisplayAs()

      Gets the display string of the third email address of the contact.
      Returns:
        the email3 display as

    - #### setEmail3DisplayAs

          public void setEmail3DisplayAs(java.lang.String email3DisplayAs)

      Sets the display string of the third email address of the contact.
      Parameters:
        `email3DisplayAs` - the new email3 display as

    - #### getEmail1Type

          public java.lang.String getEmail1Type()

      Gets the type of the first email address of the contact.
      Returns:
        the email1 type

    - #### setEmail1Type

          public void setEmail1Type(java.lang.String email1Type)

      Sets the type of the first email address of the contact.
      Parameters:
        `email1Type` - the new email1 type

    - #### getEmail2Type

          public java.lang.String getEmail2Type()

      Gets the type of the second email address of the contact.
      Returns:
        the email2 type

    - #### setEmail2Type

          public void setEmail2Type(java.lang.String email2Type)

      Sets the type of the second email address of the contact.
      Parameters:
        `email2Type` - the new email2 type

    - #### getEmail3Type

          public java.lang.String getEmail3Type()

      Gets the type of the third email address of the contact.
      Returns:
        the email3 type

    - #### setEmail3Type

          public void setEmail3Type(java.lang.String email3Type)

      Sets the type of the third email address of the contact.
      Parameters:
        `email3Type` - the new email3 type

    - #### hasPicture

          public boolean hasPicture()

      Gets whether the contact item has a file attachment that represents the contact's picture.
      Returns:
        true, if successful

    - #### setHasPicture

          public void setHasPicture(boolean hasPicture)

      Sets whether the contact item has a file attachment that represents the contact's picture.
      Parameters:
        `hasPicture` - the new checks for picture

    - #### getGender

          public Gender getGender()

      Gets the gender of the contact.
      Returns:
        the gender

    - #### setGender

          public void setGender(Gender gender)

      Sets the gender of the contact.
      Parameters:
        `gender` - the new gender

    - #### getTitle

          public java.lang.String getTitle()

      Gets the title of the contact.
      Returns:
        the title

    - #### setTitle

          public void setTitle(java.lang.String title)

      Sets the title of the contact.
      Parameters:
        `title` - the new title

    - #### getAlias

          public java.lang.String getAlias()

      Gets the contact's alias.
      Returns:
        the alias

    - #### getDirectoryId

          public java.lang.String getDirectoryId()

      Gets the contact's directory identifier.
      Returns:
        the directory id

    - #### getManagerMailbox

          public Mailbox getManagerMailbox()

      Gets the email address of contact's direct manager.
      Returns:
        the manager mailbox

    - #### getDirectReports

          public java.util.List<Mailbox> getDirectReports()

      Gets the contact's direct reports.
      Returns:
        the direct reports

    - #### getMSExchangeCertificate

          public byte[] getMSExchangeCertificate()

      Gets a binary array encoding the contact’s Microsoft Exchange certificate.
      Returns:
        the mS exchange certificate

    - #### getNotes

          public java.lang.String getNotes()

      Gets the notes property of the contact.
      Returns:
        the notes

    - #### getPhoneticFullName

          public java.lang.String getPhoneticFullName()

      Gets the contact’s full name, including first and last, using the phonetic alphabet.
      Returns:
        the phonetic full name

    - #### getPhoneticFirstName

          public java.lang.String getPhoneticFirstName()

      Gets the contact’s first name using the phonetic alphabet.
      Returns:
        the phonetic first name

    - #### getPhoneticLastName

          public java.lang.String getPhoneticLastName()

      Gets the contact’s last name using the phonetic alphabet.
      Returns:
        the phonetic last name

    - #### getPhoto

          public byte[] getPhoto()

      Gets the contact's photo.
      Returns:
        the photo

    - #### getUserSMIMECertificate

          public byte[] getUserSMIMECertificate()

      Gets a binary array encoding the contact’s SMIME certificate.
      Returns:
        the user smime certificate